be.ehealth.businessconnector.consultrnv2.service

## Class ServiceFactory

- java.lang.Object
- - be.ehealth.businessconnector.consultrnv2.service.ServiceFactory

-     public class ServiceFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONSULTRN_V2_CBSS_PERSON_SERVICE_XSD`
    `static String` | `CONSULTRN_V2_PERSON_SERVICE_XSD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericRequest` | `getConsultrnCBSSPersonService(SAMLToken token, String soapAction)`
    `static GenericRequest` | `getConsultrnPersonService(SAMLToken token, String soapAction)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSULTRN_V2_PERSON_SERVICE_XSD

          public static final String CONSULTRN_V2_PERSON_SERVICE_XSD

      See Also:
        Constant Field Values

    - #### CONSULTRN_V2_CBSS_PERSON_SERVICE_XSD

          public static final String CONSULTRN_V2_CBSS_PERSON_SERVICE_XSD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServiceFactory

          public ServiceFactory()

  - ### Method Detail

    - #### getConsultrnPersonService

          public static GenericRequest getConsultrnPersonService(SAMLToken token,
                                                                 String soapAction)
                                                          throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### getConsultrnCBSSPersonService

          public static GenericRequest getConsultrnCBSSPersonService(SAMLToken token,
                                                                     String soapAction)
                                                              throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.